Bug 74853 - GPL is not an EULA
Summary: GPL is not an EULA
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xsane (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-02 08:51 UTC by Joe Orton
Modified: 2007-04-18 16:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-02 13:58:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2002-10-02 08:51:29 UTC
On first invocation, xsane presents a scary legal-looking dialog asking the user
to "Accept" or "Not accept" the terms of the GPL, which is utterly pointless
since the GPL is not an EULA and explictly imposes no restrictions on use.

Comment 1 Tim Waugh 2002-10-02 09:50:40 UTC
It's the 'no warranty' bit that the author wants people to see, as I recall. 
 
I'd rather not mess with this.  Feel free to reopen if you feel strongly about 
it.

Comment 2 Joe Orton 2002-10-02 10:10:45 UTC
Then maybe it could just pop up a dialog on first invocation which gives the "no
warranty" disclaimer, and just has an "OK" button.  

I'm just worried that if Joe User saw this he would be scared off by all the GPL
legalese s/he is asked to accept.  And given that there is nothing in there of
relevance, it seems unnecessary to scare them. :)

But yes, probably something which should get upstream acceptance first...

Comment 3 Ali-Reza Anghaie 2002-10-02 13:58:04 UTC
Wouldn't it be violation of the GPL to remove that notice? I know it would if 
it was from the source tree and such. But I wonder if removing the pop-up as 
such also violates the GPL. Perhaps this should go upstream to the original 
authors. Just a thought, -Ali

Comment 4 Tim Waugh 2002-10-02 16:19:40 UTC
Indeed.  The author has indicated that they would view removal of that dialog 
as a GPL breach ("keep intact all the notices that refer to this License and 
to the absence of any warranty"). 
 
Closing..

Comment 5 Mike A. Harris 2002-10-23 16:02:40 UTC
I personally think that is a total crock.  If this was my package, I
would have the notice removed immediately myself.

Tim, I would talk to Red Hat legal about this personally.  Upstream
authors do not get to decide what classifies as a breach of the GPL
license based on their own criterion/whims/whatever.  A court of law
does that.  And a lawyer will advise based on the text of the
license what is likely or not likely to be a breach of the license.

That's my $0.02 CAD anyway..

Comment 6 Joe Orton 2002-10-23 16:06:19 UTC
Tim's quote is from the GPL itself with respect to removing licensing notices,
he is completely right that this is not something we could patch out; if we did
so, we would be violating the GPL.

Comment 7 Joe Orton 2002-10-23 16:08:53 UTC
Though we could remove the "accept"/"not accept" buttons without violating the
GPL. Tim's call, anyway.  Not the most serious of issues. :)


Note You need to log in before you can comment on or make changes to this bug.